Package Details: jhbuild 3.15.92-4

Git Clone URL: https://aur.archlinux.org/jhbuild.git (read-only)
Package Base: jhbuild
Description: Tool to build the whole GNOME desktop from sources
Upstream URL: https://wiki.gnome.org/Projects/Jhbuild
Licenses: GPL
Submitter: markzz
Maintainer: rafaelff
Last Packager: rafaelff
Votes: 8
Popularity: 0.321696
First Submitted: 2015-08-16 15:48
Last Updated: 2016-11-22 11:41

Dependencies (10)

Required by (0)

Sources (3)

Latest Comments

rafaelff commented on 2016-12-01 13:45

@Modestus: Actually that script wouldn't help in his case. I already posted this fix in the bbs topic.

@DoctorHellyface: Indeed, sorry for that. Please consider this package as "In maintainance" as I'm working on another issue (it won't allow modulesets from 3.24) and then I'll update it correctly. Sorry for the inconvenience.

Modestus commented on 2016-12-01 11:46

@Doctorjellyface running "updpkgsums" in the folder with the PKGBUILD should fix it for you.

alaneuler commented on 2016-11-28 13:19

Hi, rafaelff. After the suggestions of @Lone_Wolf, the error in http://pastebin.com/UeBZJj8j seems to have been solved, but there is other errors occur. http://pastebin.com/FkXbdAq4

Topic here https://bbs.archlinux.org/viewtopic.php?pid=1672617#p1672617 has more details about it. Could you please spend some to read it? Because I think we are going to fix this problem. Thank you.

alaneuler commented on 2016-11-23 07:48

@rafaelff, I set `modules = ['colord']` in ~/.config/jhbuildrc (set only to module 'colord'). And then run `jhbuild sysdeps` command, the result is: http://pastebin.com/HarjRXvn. Now, I run `jhbuild build` but error is same as before: http://pastebin.com/UeBZJj8j

DoctorJellyface commented on 2016-11-22 19:45

Hey, the checksum for update-default-jhbuildrc-000f820.patch is incorrect.

rafaelff commented on 2016-11-22 14:28

@alaneuler: Looks like a module dependency is missing. You can run 'jhbuild sysdeps' to find exactly which dependency is missing and then install it. Try that and, if still you can solve it, let me know.

alaneuler commented on 2016-11-22 06:15

Hi, rafaelff, I ran into some problems when `jhbuild build colord`, the detailed problem information is here: https://bbs.archlinux.org/viewtopic.php?pid=1671249#p1671249.
Could you please help me solve this problem?

rafaelff commented on 2016-09-27 00:29

This happens because the config file provides options not yet available in this version of jhbuild. Since this doesn't seem to affect the usage (e.g. doesn't break), so I kept. I'll work on something to stop this message.

jtojnar commented on 2016-09-26 16:22

I am getting following error on running jhbuild:

I: unknown keys defined in configuration file: module_mesonargs, mesonargs, exit_on_error, xdg_cache_home

rafaelff commented on 2016-06-20 23:01

JHBuild deals with compilation of other GNOME software, so it is expected to have a bunch of dependencies needed by the target software. It would be impossible to add all dependency of all software into this PKGBUILD. Theoretically speaking, the output of 'jhbuild sysdeps' should tell which dependencies are needed by the moduleset/modules you set in your ~/.config/jhbuildrc. In spite of that, you might have to figure out by yourself what package provides a needed resource, or ask here of course.

jeena commented on 2016-06-19 22:33

I had to install the package vala otherwise it wouldn't build because valac was missing.

rafaelff commented on 2016-06-17 22:28

Adopted this package.

I created the 'update-jhbuild-cfgs' script for updating modulesets and default.jhbuildrc whenever is wanted. Just run 'sudo update-jhbuild-cfgs' and wait for it to do its job.

Any problem or suggestion, please let me know.

cellsheet commented on 2016-06-16 03:02

https://mail.gnome.org/archives/commits-list/2016-May/msg00040.html

rafaelff commented on 2016-01-26 00:24

I hope you understand that jhbuild 3.12.0 was bugged by not applying to /usr/bin/jhbuild the argument "PYTHON=/usr/bin/python2" passed to autogen.sh, a bug which seems to be solved in 3.15.92.

It was fixed a few months after the release of 3.12.0, as you can see here: https://git.gnome.org/browse/jhbuild/commit/scripts/jhbuild.in?id=287093cfd844368510fb63bb230c06ce2613f3b5

Please understand that fixing python2 invoking are, in most cases, made by the maintainer in PKGBUILD (even when they are TU or Developers), so I believe that it is Arch Way.

Anyway, not a problem anymore in this new version.
Thanks for the version upgrade.

markzz commented on 2016-01-25 16:33

Please read [1] and [2]. In the spirit of the Arch Way, I will not add any patches or commands to the PKGBUILD unless absolutely necessary. I would also encourage you to read documentation in the future.

[1] https://wiki.archlinux.org/index.php/JHBuild#Building_from_scratch_without_JHBuild.2C_or_in_a_JHBuild_shell
[2] https://wiki.gnome.org/Projects/Jhbuild/Dependencies/ArchLinux

rafaelff commented on 2016-01-25 15:53

@markzz: currently jhbuild requires python2, but it is using python3. Without python2, jhbuild will keep displaying the error message: ImportError: No module named '__builtin__'

To fix this, I suggestion adding the following command before autogen.sh:

PYTHON_CALLERS="$(grep -R '/usr/bin/python$' | cut -d: -f1)
................$(grep -R '/usr/bin/env python$' | cut -d: -f1)"
sed -i -e 's|env python$|env python2|' \
.......-e 's|bin/python$|bin/python2|' \
.......${PYTHON_CALLERS}

(dots "." are for text identation, please replace with whitespace/tab)

albfan commented on 2016-01-16 06:08

I've solve

ImportError: No module named '__builtin__'

changing shebang to python2

jhbuild sysdeps --install dependencies was solved using

pkgfile <whatever>.pc

as for xorg-wacom (xorg-wacom.pc):

$ pkgfile xorg-wacom.pc
extra/xf86-input-wacom

but can't find package for json(json.pc)

I have checked other distros and there's no json.pc at all, so I cp /usr/lib/pkgconfig/json-c.pc to /usr/lib/pkgconfig/json.pc (at least to bypass this for a while)

then jhbuild build refuse to compile some initial packages (python libxml2 dependency) but now is compiling rest of packages.

markzz commented on 2015-12-06 01:47

If you read the message after you installed the package, you'd know. Also, since it's something in your home directory (~), it is not included in the package.

Wiseacre commented on 2015-12-06 00:02

Can't find ~/.config/jhbuildrc
Where is it??

prescott commented on 2015-11-26 09:15

this fixes issue:
1. install python-future / python2-future
2. symlink python as is described on wiki

before was not needed to install "future" packages....

markzz commented on 2015-11-17 11:54

https://wiki.archlinux.org/index.php/JHBuild#Python_issues

Read Wiki first.

prescott commented on 2015-11-17 08:37

I cant use jhbuild. I always get this error:

Traceback (most recent call last):
File "/usr/bin/jhbuild", line 6, in <module>
import __builtin__
ImportError: No module named '__builtin__'

markzz commented on 2015-10-06 17:17

I reuploaded this PKGBUILD from the aur3 because no one else did and I use this package. I have redone the PKGBUILD to use the stable 3.12.0 release rather than the git version.

rafaelff commented on 2015-09-26 21:21

Maintainer, it seems your PKGBUILD fetches source code from Git repository without updating version in $pkgver. Can you please implement pkgver() function to dynamically update the package's build date, or to set $pkgver according to Archwiki[1]?

[1] https://wiki.archlinux.org/index.php/VCS_package_guidelines#Git